### Hierarchy

- ShouldThrow

### Callable

- __call(actual: Function, expected?: string | RegExp, message?: undefined | string): void
- __call(actual: Function, constructor: Error | Function, expected?: string | RegExp, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:56

  #### Parameters

  - ##### actual: Function

  - ##### Optional expected: string | RegExp

  - ##### Optional message: undefined | string

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:57

  #### Parameters

  - ##### actual: Function

  - ##### constructor: Error | Function

  - ##### Optional expected: string | RegExp

  - ##### Optional message: undefined | string

  #### Returns void

Generated using TypeDoc